/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 跨系统缺陷趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-24 11:37:04  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "跨系统缺陷趋势图")
public class BugOverallTendencyChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_unsolved = "unsolved";
  public static final String KEY_solved = "solved";
  public static final String KEY_allAmount = "allAmount";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_recordType = "recordType";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * 未解决<br>
   */
  @ApiModelProperty("未解决")
  private Integer unsolved;
  /**
   * 已解决<br>
   */
  @ApiModelProperty("已解决")
  private Integer solved;
  /**
   * 所有<br>
   */
  @ApiModelProperty("所有")
  private Integer allAmount;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-proId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 记录类型：0跨系统的，1系统级的<br>
   */
  @ApiModelProperty("记录类型：0跨系统的，1系统级的")
  private Integer recordType;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * 未解决<br>
   */
  public Integer getUnsolved()
  {
      return unsolved;
    }

  /**
   * 未解决<br>
   *
   * @param unsolved 未解决
   */
  public void setUnsolved(Integer unsolved)
  {
      this.unsolved = unsolved;
    }
  /**
   * 已解决<br>
   */
  public Integer getSolved()
  {
      return solved;
    }

  /**
   * 已解决<br>
   *
   * @param solved 已解决
   */
  public void setSolved(Integer solved)
  {
      this.solved = solved;
    }
  /**
   * 所有<br>
   */
  public Integer getAllAmount()
  {
      return allAmount;
    }

  /**
   * 所有<br>
   *
   * @param allAmount 所有
   */
  public void setAllAmount(Integer allAmount)
  {
      this.allAmount = allAmount;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 记录类型：0跨系统的，1系统级的<br>
   */
  public Integer getRecordType()
  {
      return recordType;
    }

  /**
   * 记录类型：0跨系统的，1系统级的<br>
   *
   * @param recordType 记录类型：0跨系统的，1系统级的
   */
  public void setRecordType(Integer recordType)
  {
      this.recordType = recordType;
    }

  public BugOverallTendencyChart()
  {
  }

}
